SshResolver
Date: 2013-01-10

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ivy.plugins.resolver
Class SshResolver

    java.lang.Object
      org.apache.ivy.plugins.resolver.AbstractResolver
          org.apache.ivy.plugins.resolver.BasicResolver
              org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver
                  org.apache.ivy.plugins.resolver.RepositoryResolver
                      org.apache.ivy.plugins.resolver.AbstractSshBasedResolver
                          org.apache.ivy.plugins.resolver.SshResolver

All Implemented Interfaces:
  Validatable, DependencyResolver, HasLatestStrategy

    public class SshResolver

extends AbstractSshBasedResolver

Resolver for SSH resolver for ivy

Field Summary

Fields inherited from class org.apache.ivy.plugins.resolver.BasicResolver
`DATE_FORMAT, DESCRIPTOR_OPTIONAL, DESCRIPTOR_REQUIRED`

Constructor Summary
`SshResolver()`

Method Summary
`java.lang.String` | `getTypeName()`
`void` | `setCreateDirCommand(java.lang.String cmd)` set the command to create a directory on the target system the command has to be a shell command working on the target system and has to create a directory with the given argument the term %arg can be used in the command to substitue the path to be listed if %arg is not part of the command, the path will be appended to the command default is: "mkdir"
`void` | `setExistCommand(java.lang.String cmd)` set the command to check for existence of a file the command has to be a shell command working on the target system and has to create an exit status of 0 for an existent file and <> 0 for a non existing file given as argument the term %arg can be used in the command to substitue the path to be listed if %arg is not part of the command, the path will be appended to the command default is: "ls"
`void` | `setFileSeparator(java.lang.String sep)` sets the path separator used on the target system.
`void` | `setListCommand(java.lang.String cmd)` set the command to get a directory listing the command has to be a shell command working on the target system and has to produce a listing of filenames, with each filename on a new line the term %arg can be used in the command to substitue the path to be listed (e.g.
`void` | `setPublishPermissions(java.lang.String permissions)` A four digit string (e.g., 0644, see "man chmod", "man open") specifying the permissions of the published files.

Methods inherited from class org.apache.ivy.plugins.resolver.AbstractSshBasedResolver
`setHost, setKeyFile, setKeyFilePassword, setPassfile, setPort, setSettings, setUser, setUserPassword`

Methods inherited from class org.apache.ivy.plugins.resolver.RepositoryResolver
`download, dumpSettings, exist, findResourceUsingPattern, findTokenValues, get, getDestination, getRepository, getResource, isAlwaysCheckExactRevision, listResources, listTokenValues, publish, put, putChecksum, putSignature, setAlwaysCheckExactRevision, setName, setRepository, setSettings, setSigner`

Methods inherited from class org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver
`addArtifactPattern, addConfiguredArtifact, addConfiguredIvy, addIvyPattern, convertM2IdForResourceSearch, convertM2OrganizationForResourceSearch, convertM2ResourceSearchIdToNormal, convertM2TokenValuesForResourceSearch, findArtifactNames, findArtifactRef, findIvyFileRef, findIvyNames, findNames, findResource, findResourceUsingPatterns, getArtifactPatterns, getIvyPatterns, getModuleDescriptorExtension, isM2compatible, listTokenValues, setArtifactPatterns, setIvyPatterns, setM2compatible`

Methods inherited from class org.apache.ivy.plugins.resolver.BasicResolver
`acceptLatest, checkModuleDescriptorRevision, clearArtifactAttempts, clearIvyAttempts, doFindArtifactRef, download, exists, filterNames, findFirstArtifactRef, getAndCheck, getArtifactRef, getChecksumAlgorithms, getDefaultRMDParser, getDependency, getPublicationDate, getRMDParser, getWorkspaceName, isAllownomd, isCheckconsistency, isEnvDependent, isForce, listModules, listOrganisations, listRevisions, listTokenValues, locate, logArtifactAttempt, logAttempt, logIvyAttempt, parse, reportFailure, reportFailure, setAllownomd, setCheckconsistency, setChecksums, setDescriptor, setEnvDependent, setForce, setWorkspaceName, shouldReturnResolvedModule, toString`

Methods inherited from class org.apache.ivy.plugins.resolver.AbstractResolver
`abortPublishTransaction, beginPublishTransaction, checkInterrupted, checkLatest, commitPublishTransaction, doValidate, findModuleInCache, findModuleInCache, fromSystem, fromSystem, getCacheDownloadOptions, getCacheOptions, getChangingMatcherName, getChangingPattern, getDownloadOptions, getEventManager, getLatest, getLatestStrategy, getName, getNamespace, getParserSettings, getRepositoryCacheManager, getSettings, getSystemNode, hidePassword, isAfter, isValidate, saveModuleRevisionIfNeeded, setCache, setChangingMatcher, setChangingPattern, setCheckmodified, setEventManager, setLatest, setLatestStrategy, setNamespace, setRepositoryCacheManager, setValidate, toSystem, toSystem, toSystem, toSystem, toSystem, toSystem, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SshResolver

    public SshResolver()

Method Detail

### setPublishPermissions

    public void setPublishPermissions(java.lang.String permissions)

  A four digit string (e.g., 0644, see "man chmod", "man open") specifying the permissions of the published files.

### setFileSeparator

    public void setFileSeparator(java.lang.String sep)

  sets the path separator used on the target system. Not sure if this is used or if '/' is used on all implementation. default is to use '/'

  Parameters:
    `sep` - file separator to use on the target system

### setListCommand

    public void setListCommand(java.lang.String cmd)

  set the command to get a directory listing the command has to be a shell command working on the target system and has to produce a listing of filenames, with each filename on a new line the term %arg can be used in the command to substitue the path to be listed (e.g. "ls -1 %arg | grep -v CVS" to get a listing without CVS directory) if %arg is not part of the command, the path will be appended to the command default is: "ls -1"

### setExistCommand

    public void setExistCommand(java.lang.String cmd)

  set the command to check for existence of a file the command has to be a shell command working on the target system and has to create an exit status of 0 for an existent file and <> 0 for a non existing file given as argument the term %arg can be used in the command to substitue the path to be listed if %arg is not part of the command, the path will be appended to the command default is: "ls"

### setCreateDirCommand

    public void setCreateDirCommand(java.lang.String cmd)

  set the command to create a directory on the target system the command has to be a shell command working on the target system and has to create a directory with the given argument the term %arg can be used in the command to substitue the path to be listed if %arg is not part of the command, the path will be appended to the command default is: "mkdir"

### getTypeName

    public java.lang.String getTypeName()

  Specified by:
    `getTypeName` in class `AbstractSshBasedResolver`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD